DdemlUtil.WildconnectHandler (JNA API)
Description: declaration: package: com.sun.jna.platform.win32, class: DdemlUtil, interface: WildconnectHandler

Package com.sun.jna.platform.win32

# Interface DdemlUtil.WildconnectHandler

Enclosing class:
  DdemlUtil

public static interface DdemlUtil.WildconnectHandler

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<Ddeml.HSZPAIR>`
  `onWildconnect(int transactionType, Ddeml.HSZ topic, Ddeml.HSZ service, Ddeml.CONVCONTEXT convcontext, boolean sameInstance)`
  Enables a client to establish a conversation on each of the server's service name and topic name pairs that match the specified service name and topic name.

- ## Method Details

  - ### onWildconnect

    List<Ddeml.HSZPAIR> onWildconnect(int transactionType, Ddeml.HSZ topic, Ddeml.HSZ service, Ddeml.CONVCONTEXT convcontext, boolean sameInstance)
    Enables a client to establish a conversation on each of the server's service name and topic name pairs that match the specified service name and topic name. A Dynamic Data Exchange (DDE) server callback function, DdeCallback, receives this transaction when a client specifies a NULL service name, a NULL topic name, or both in a call to the DdeConnect or DdeConnectList function.
    Parameters:
      `transactionType` - uType - The transaction type.
      `topic` - A handle to the topic name. If this parameter is NULL, the client is requesting a conversation on all topic names that the server supports.
      `service` - A handle to the service name. If this parameter is NULL, the client is requesting a conversation on all service names that the server supports.
      `convcontext` - dwData1 - CONVCONTEXT structure that contains context information for the conversation. If the client is not a DDEML application, this parameter is NULL.
      `sameInstance` - dwData2 - Specifies whether the client is the same application instance as the server.
    Returns:
      the supported HSZPAIRs (do not include the terminating pair needed be the DdeCallback!)